CREATE TABLE ffs_catalog_user_type (
    CATALOG_ID           NUMBER(10, 0),
    TYPE_ID              NUMBER(5, 0) ,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CATALOG_ID           NUMBER(10, 0),
    TYPE_ID              NUMBER(5, 0) ,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONSTRAINT pk_ffs_catalog_user_type PRIMARY KEY (CATALOG_ID, TYPE_ID, CATALOG_ID, TYPE_ID)
);
